Bug 235269 - Regression in fence_ilo
Regression in fence_ilo
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
urgent Severity high
: ---
: ---
Assigned To: Ryan McCabe
:
Depends On:
Blocks: 235842
  Show dependency treegraph
 
Reported: 2007-04-04 15:09 EDT by Jim Parsons
Modified: 2009-04-16 18:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:59:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to correct fence_ilo.pl (2.25 KB, patch)
2007-04-04 15:20 EDT, Ryan McCabe
no flags Details | Diff

  None (edit)
Description Jim Parsons 2007-04-04 15:09:28 EDT
From IT# 117896 - fence_ilo Power On is not working in the RHEL4.5 beta with ilo
version 1.82
                                                                                
This agent is the same one in the RHEL5.0 fence package, and has been confirmed
to not work for this firmware rev. The agent was tested against another rev of
ilo1 before being shipped.
                                                                                
RIBCL version 2.22 (the version that firmware rev 1.82 uses) behaves differently
on ilo1 vs. ilo2. It is necessary to check RIBCL version AND ilo product family
before issuing Power On command.
Comment 3 Ryan McCabe 2007-04-04 15:20:27 EDT
Created attachment 151702 [details]
patch to correct fence_ilo.pl

iLO2 with RIBCL v2.22 behaves differently from iLO with RIBCL v2.22. For the
former, HOLD_PWR_BTN is used to both power the machine on and off; when the
power is off, PRESS_PWR_BUTTON has no effect. For the latter, HOLD_PWR_BUTTON
is used to power the machine off, and PRESS_PWR_BUTTON is used to power the
machine on; when the power is off, HOLD_PWR_BUTTON has no effect.
Comment 4 Ryan McCabe 2007-04-04 15:35:03 EDT
The attached patch has been committed to the HEAD CVS branch and has been tested
on iLO with firmware revisions 1.55 (RIBCL 2.21), 1.62 (RIBCL 2.21), 1.70 (RIBCL
2.21), and 1.82 (RIBCL v2.22); and iLO2 with firmware revision 1.26 (RIBCL 2.22).
Comment 5 Rob Kenna 2007-04-09 15:18:00 EDT
pm-ack
Comment 9 errata-xmlrpc 2007-11-07 11:59:23 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0575.html

Note You need to log in before you can comment on or make changes to this bug.